# Created by pyp2rpm-3.3.4
%global pypi_name rebookmaker

Name:           python-%{pypi_name}
Version:        0.8.12
Release:        %mkrel 1
Summary:        EPUB generator
Group:          Development/Python
License:        BSD
URL:            https://github.com/shlomif/rebookmaker
Source0:        https://files.pythonhosted.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# fix for doc build with sphinx 8.1
Patch0:         rebookmaker-docs.patch
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(sphinx)


%description
An open source (MIT-licensed) re-implementation of Marcelo
Lira’s ( @setanta ) ebookmaker.

EPUB is a popular and open file format standard for electronic books (see
https://en.wikipedia.org/wiki/EPUB for more information about it). What
rebookmaker (= “re-ebook-maker”) does is compile a definition of the book
inside a JSON file along with some input HTML and image files into an
.epub.

%package -n     python3-%{pypi_name}
Summary:        EPUB generator
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
An open source (MIT-licensed) re-implementation of Marcelo
Lira’s ( @setanta ) ebookmaker.

EPUB is a popular and open file format standard for electronic books (see
https://en.wikipedia.org/wiki/EPUB for more information about it). What
rebookmaker (= “re-ebook-maker”) does is compile a definition of the book
inside a JSON file along with some input HTML and image files into an
.epub.

%package -n python-%{pypi_name}-doc
Summary:        rebookmaker documentation

%description -n python-%{pypi_name}-doc
Documentation for rebookmaker.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files rebookmaker

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE docs/LICENSE.rst
%doc docs/README.rst
%{_bindir}/rebookmaker

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE docs/LICENSE.rst


%changelog
* Thu Feb 20 2025 daviddavid <daviddavid> 0.8.12-1.mga10
+ Revision: 2150025
- new version: 0.8.12
- fix for doc build with sphinx 8.1

* Sat Feb 24 2024 daviddavid <daviddavid> 0.8.10-1.mga10
+ Revision: 2043850
- new version: 0.8.10
- switch to pyproject

* Sun Jun 18 2023 papoteur <papoteur> 0.8.8-1.mga9
+ Revision: 1962426
- new 0.8.8

* Tue Mar 29 2022 umeabot <umeabot> 0.8.7-2.mga9
+ Revision: 1832822
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 0.8.7-1.mga9
+ Revision: 1783118
- version 0.8.7
- fix files list
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.8.1-2.mga9
+ Revision: 1732947
- Rebuild for python 3.9

* Thu Oct 08 2020 shlomif <shlomif> 0.8.1-1.mga8
+ Revision: 1632666
- add BRs
- fix desc's readability
- pyp2rpm

